Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatInviteLinkMember

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatInviteLinkMember

Enclosing class:
  TdApi

public static final class TdApi.ChatInviteLinkMember extends TdApi.Object
Describes a chat member joined a chat via an invite link.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`approverUserId`
User identifier of the chat administrator, approved user join request.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`joinedChatDate`
Point in time (Unix timestamp) when the user joined the chat.
`long`
`userId`
User identifier.
`boolean`
`viaChatFolderInviteLink`
True, if the user has joined the chat using an invite link for a chat folder.

## Constructor Summary

Constructors
Constructor
Description
`ChatInviteLinkMember()`
Describes a chat member joined a chat via an invite link.
`ChatInviteLinkMember(long userId, int joinedChatDate, boolean viaChatFolderInviteLink, long approverUserId)`
Describes a chat member joined a chat via an invite link.
`ChatInviteLinkMember(DataInput input)`
Describes a chat member joined a chat via an invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### joinedChatDate

public int joinedChatDate
Point in time (Unix timestamp) when the user joined the chat.

### viaChatFolderInviteLink

public boolean viaChatFolderInviteLink
True, if the user has joined the chat using an invite link for a chat folder.

### approverUserId

public long approverUserId
User identifier of the chat administrator, approved user join request.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatInviteLinkMember

public ChatInviteLinkMember()
Describes a chat member joined a chat via an invite link.

### ChatInviteLinkMember

public ChatInviteLinkMember(long userId, int joinedChatDate, boolean viaChatFolderInviteLink, long approverUserId)
Describes a chat member joined a chat via an invite link.

Parameters:
  `userId` - User identifier.
  `joinedChatDate` - Point in time (Unix timestamp) when the user joined the chat.
  `viaChatFolderInviteLink` - True, if the user has joined the chat using an invite link for a chat folder.
  `approverUserId` - User identifier of the chat administrator, approved user join request.

### ChatInviteLinkMember

public ChatInviteLinkMember(DataInput input) throws IOException
Describes a chat member joined a chat via an invite link.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`